<div class="content-header row">
    <div class="content-header-left col-md-9 col-12 mb-2">
      <div class="row breadcrumbs-top">
        <div class="col-12">
          <h2 class="content-header-title float-left mb-0">Liste des Familles Produit</h2>
        
        </div>
      </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
      <div class="form-group breadcrum-right">
        <div class="dropdown">
          <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
          <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
        </div>
      </div>
    </div>
  </div>
  <section id="data-thumb-view" class="data-thumb-view-header">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title"></h4>
                </div>
                <div class="card-content">
  
                    <div class="card-body card-dashboard">
  
                        <div class="table-responsive">
                          <a  [routerLink]="['/creation_familleproduit']" class="btn mr-1 mb-1 btn-outline-primary btn-sm waves-effect waves-light" style=" margin-left: 2px;">Nouveau Famille Produit</a>
                            <table class="table zero-configuration table-striped" >
  
                              <thead>
                                <tr>
                                    <th>Code</th>
                                    
                                    <th>Famille Produit</th>
                                    <th>Risque</th>

                                    <th>ACTION</th>
                                </tr>
                              </thead>
                              <tbody>
                                <tr *ngFor="let f of famille; index as i">
                                    <td> 
                                        <div class="product-category">{{f.image}}</div>
                                  </td>
                                  
                                  <td class="product-category">{{f.nom}}</td>
                                  <td > 
                                    <div  *ngFor="let r of risque">
                                    <div class="product-category" *ngIf="r.id === f.risque ">{{r.nom}}</div>
                                  </div>
                              </td>
                                  <td class="product-action">
                                    
                        
                                    <div class="dropdown">
                                     <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                     <div class="dropdown-menu dropdown-menu-right">
                                      <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#modifier' + i"><i class="feather icon-edit" style="color:blue;"></i>Modifier</a>
                         
                                       <a class="dropdown-item" data-toggle="modal" (click)="deletePopup(f.id,f.nom)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                     </div>
                                   </div>
                                   
                                   </td>

                                   <div class="modal modal-danger fade" id="modifier{{i}}">
                                    <div class="modal-dialog " role="document">
                                      <div class="modal-content" style="width:700px">
                                        <div class="modal-header">
                                          <h4 class="modal-title" id="myModalLabel4">Modifier Famille </h4>
                                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                          </button>
                                        </div>
                                        <div class="modal-body">
                                          
                                          
                                            
                                                            <div class="card-body">
                                                              <form novalidate #fp="ngForm" (ngSubmit)="update(fp.value)">
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFrom" >
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>{{InvalidFrom}}</span>
                                                                </div>
                                                                    <div class="row">
                                                                      <input type="hidden" class="form-control"  name="id" #id="ngModel" [(ngModel)]="f.id">

                                                                        
                                                                     
                                                                        <div class="col-6">
                                                                          <div class="form-group">
                                                                            <div class="controls">
                                                                               <span>Nom de Famille </span>
                                                                                  <input type="text" id="first-name" class="form-control"name="nom" #nom="ngModel" [(ngModel)]="f.nom"  required>
                                                                                  
                                                                                </div>
                                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                                  <span>nom de famille Produit obligatoire</span>
                                                                                </div>
                                                                                </div>
                                                                      </div>
                                          
                                                                      <div class="col-6">
                                                                        <div class="form-group">
                                                                          <div class="controls">

                                                                             <span>Risque </span>
                                                                            
                                                                              <select class="form-control" name="risque"  [(ngModel)]="f.risque"  required>
                                      
                                                                                <option *ngFor="let r of risque; index as i" value="{{r.id}}">{{r.nom}}</option>
                                                                               
                                                                              </select>
                                                                              </div>
                                                                        </div>
                                                                    </div>

                                                                    <div class="col-12">
                                                                      <div class="form-group">
                                                                        <div class="controls">
                                                                          <label>Image Famille Produit</label>
                                  
                                                                          <div class="custom-file">
                                                                            <input type="file" class="custom-file-input" id="inputGroupFile01" name="image" #image="ngModel" ngModel (change)="onFileSelected($event)"  required>
                                                                            <label class="custom-file-label" for="inputGroupFile01">Choose file</label>
                                                                        </div>
                                                                         </div>
                                                                        
                                                                      </div>  
                                                                      
                                                                  </div>
                                                                  </div>
                                                                            <hr>
                                                                          
                                                                              <button type="submit" class="btn btn-primary glow mb-1 mb-sm-0 mr-0 mr-sm-1" style=" margin-left: 490px;"[disabled]="fp.invalid">Modifier Famille </button>

                                                                            
                                                                 
                                                                
                                                            </form>
                                                            </div>
                                                       
                                                
                                  
                                  
                                  
                                        </div>
                                        
                                      
                                      </div>
                                      <!-- /.modal-content -->
                                    </div>
                                    <!-- /.modal-dialog -->
                                  </div>


                                </tr>
                               
                                
                           </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- dataTable ends -->
  
    <!-- add new sidebar starts -->
   
  
  
  
    <div class="modal modal-danger fade" id="modal-danger2">
      <div class="modal-dialog " role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="myModalLabel4">Suppression Famille</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <p>
            Voulez vous supprimer Famille
            </p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal">Supprimer</button>
          </div>
        
        </div>
        <!-- /.modal-content -->
      </div>
      <!-- /.modal-dialog -->
    </div>
    <!-- add new sidebar ends -->
  </section>
  
  